=== debian/changelog ===
ros-melodic-cob-lookat-action (0.7.5-1stretch) stretch; urgency=high

  * Merge pull request #148 <https://github.com/ipa320/cob_manipulation/issues/148> from fmessmer/test_noetic
    test noetic
  * conditional depend for orocos-kdl
  * Bump CMake version to avoid CMP0048 warning
  * Merge pull request #149 <https://github.com/ipa320/cob_manipulation/issues/149> from fmessmer/fix_catkin_lint
    fix catkin_lint
  * fix catkin_lint
  * Merge pull request #146 <https://github.com/ipa320/cob_manipulation/issues/146> from fmessmer/lookat_improve_fjt_goal
    [cob_lookat] improve fjt goal
  * do not set tolerances
  * set velocities and accelerations to 0.0 for traj_point
  * Contributors: Felix Messmer, fmessmer

 -- Felix Messmer <fxm@ipa.fhg.de>  Wed, 02 Dec 2020 23:00:00 -0000

ros-melodic-cob-lookat-action (0.7.4-1stretch) stretch; urgency=high

  * Merge pull request #145 <https://github.com/ipa320/cob_manipulation/issues/145> from fmessmer/feature/python3_compatibility
    [ci_updates] pylint + Python3 compatibility
  * python3 compatibility via 2to3
  * Merge pull request #143 <https://github.com/ipa320/cob_manipulation/issues/143> from fmessmer/ci_updates
    [travis] ci updates
  * catkin_lint fixes
  * Contributors: Felix Messmer, fmessmer

 -- Felix Messmer <fxm@ipa.fhg.de>  Tue, 17 Mar 2020 23:00:00 -0000

ros-melodic-cob-lookat-action (0.7.3-1stretch) stretch; urgency=high



 -- Felix Messmer <fxm@ipa.fhg.de>  Tue, 03 Dec 2019 23:00:00 -0000

ros-melodic-cob-lookat-action (0.7.2-1stretch) stretch; urgency=high

  * Merge pull request #137 <https://github.com/ipa320/cob_manipulation/issues/137> from fmessmer/improve_lookat
    improve cob_lookat_action
  * implement base_active using docker_control/move_base_linear
  * check fjt server connected
  * improve time_from_start computation
  * fail when target_frame is too old
  * less debug output
  * revert execute flag
  * revert base_active
  * fix negative axes
  * use IkSolverPos_LMA
  * fix lookat_chain pointing offset, simplify lookat joints, normalize angles, add fjt path tolerances, fix fjt preemption
  * Revert "use JL solver"
    This reverts commit 1f71da01ee09ea134d6c2b587f02f34bd0b24f18.
  * use JL solver
  * experimental: base_active
  * add launch file
  * improve preemption, improve timing lookupTransform, improve validity checks, wip debugging
  * Contributors: Felix Messmer, fmessmer

 -- Felix Messmer <fxm@ipa.fhg.de>  Sun, 19 May 2019 22:00:00 -0000

ros-melodic-cob-lookat-action (0.7.1-1stretch) stretch; urgency=high

  * Merge pull request #134 <https://github.com/ipa320/cob_manipulation/issues/134> from ipa320/kinetic_release_candidate
    Kinetic release candidate
  * Merge pull request #132 <https://github.com/ipa320/cob_manipulation/issues/132> from ipa-fxm/kinetic_dev
    [kinetic] updates from indigo_dev
  * Merge branch 'indigo_dev' of github.com:ipa320/cob_manipulation into kinetic_dev
    Conflicts:
    .travis.yml
    cob_kinematics/ikfast/src/ikfast_lbr.cpp
    cob_kinematics/ikfast/src/ikfast_ur10.cpp
    cob_kinematics/ikfast/src/ikfast_ur5.cpp
    cob_kinematics/package.xml
    cob_kinematics/ros/bin/genikfast.py
    cob_kinematics/ros/src/ikfast_plugin.cpp
    cob_kinematics/ros/src/urdf_openrave.cpp
  * Merge pull request #124 <https://github.com/ipa320/cob_manipulation/issues/124> from ipa-fxm/update_maintainer
    update maintainer
  * update maintainer
  * Merge pull request #120 <https://github.com/ipa320/cob_manipulation/issues/120> from ipa-fxm/APACHE_license
    use license apache 2.0
  * use license apache 2.0
  * Contributors: Felix Messmer, Richard Bormann, ipa-fxm, ipa-uhr-mk

 -- Felix Messmer <fxm@ipa.fhg.de>  Sat, 06 Jan 2018 23:00:00 -0000

ros-melodic-cob-lookat-action (0.7.0-1stretch) stretch; urgency=high



 -- Felix Messmer <fxm@ipa.fhg.de>  Sun, 30 Jul 2017 22:00:00 -0000

ros-melodic-cob-lookat-action (0.6.5-1stretch) stretch; urgency=high

  * fix install tags
  * rework package: now using virtual KDL chain and FJT action client
  * Contributors: Felix Messmer, ipa-fxm

 -- Felix Messmer <fxm@ipa.fhg.de>  Sun, 30 Jul 2017 22:00:00 -0000

ros-melodic-cob-lookat-action (0.6.4-1stretch) stretch; urgency=high



 -- Felix Messmer <fxm@ipa.fhg.de>  Thu, 31 Mar 2016 22:00:00 -0000

ros-melodic-cob-lookat-action (0.6.3-1stretch) stretch; urgency=high



 -- Felix Messmer <fxm@ipa.fhg.de>  Sun, 30 Aug 2015 22:00:00 -0000

ros-melodic-cob-lookat-action (0.6.2-1stretch) stretch; urgency=high

  * boost revision
  * migration to package format 2
  * remove trailing whitespaces
  * remove obsolete autogenerated mainpage.dox files
  * sort dependencies
  * review dependencies
  * Contributors: ipa-fxm

 -- Felix Messmer <fxm@ipa.fhg.de>  Fri, 28 Aug 2015 22:00:00 -0000

ros-melodic-cob-lookat-action (0.6.1-1stretch) stretch; urgency=high

  * beautify CMakeLists
  * Contributors: ipa-fxm

 -- Felix Messmer <fxm@ipa.fhg.de>  Tue, 16 Jun 2015 22:00:00 -0000

ros-melodic-cob-lookat-action (0.6.0-1stretch) stretch; urgency=high

  * Merge branch 'hydro_dev' into hydro_release_candidate
  * 0.5.1
  * add changelogs
  * Contributors: Florian Weisshardt, ipa-fxm

 -- Felix Messmer <fxm@ipa.fhg.de>  Wed, 17 Sep 2014 22:00:00 -0000

ros-melodic-cob-lookat-action (0.5.2-1stretch) stretch; urgency=high



 -- Felix Messmer <fxm@ipa.fhg.de>  Wed, 27 Aug 2014 22:00:00 -0000

ros-melodic-cob-lookat-action (0.5.1-1stretch) stretch; urgency=high

  * Merge branch 'hydro_dev' into hydro_release_candidate
  * use BIN_DESTINATION
  * beautify install tags and correct PYTHON_DESTINATION
  * add missing dependency
  * install tags
  * catkin_lint and install tags
  * add changelogs
  * backup from cob3-3
  * update deps
  * catkinized
  * generalize cob_lookat_action for various torso dofs + w/o head
  * tweaking lookat_monitor
  * added some output
  * minor mods in cob_lookat_action + new example clients
  * initial commit for cob_lookat_action - this is just conceptual at the moment

