=== debian/control ===
Source: ros-melodic-cob-lookat-action
Section: misc
Priority: optional
Maintainer: Felix Messmer <fxm@ipa.fhg.de>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-actionlib, ros-melodic-actionlib-msgs, ros-melodic-angles, ros-melodic-catkin, ros-melodic-control-msgs, ros-melodic-geometry-msgs, ros-melodic-kdl-conversions, ros-melodic-kdl-parser, ros-melodic-message-generation, ros-melodic-move-base-msgs, ros-melodic-orocos-kdl, ros-melodic-roscpp, ros-melodic-sensor-msgs, ros-melodic-tf, ros-melodic-tf-conversions, ros-melodic-tf2-ros, ros-melodic-trajectory-msgs
Homepage: http://ros.org/wiki/cob_manipulation/
Standards-Version: 3.9.2

Package: ros-melodic-cob-lookat-action
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-actionlib, ros-melodic-actionlib-msgs, ros-melodic-angles, ros-melodic-control-msgs, ros-melodic-geometry-msgs, ros-melodic-kdl-conversions, ros-melodic-kdl-parser, ros-melodic-message-runtime, ros-melodic-move-base-msgs, ros-melodic-orocos-kdl, ros-melodic-roscpp, ros-melodic-rospy, ros-melodic-sensor-msgs, ros-melodic-tf, ros-melodic-tf-conversions, ros-melodic-tf2-ros, ros-melodic-trajectory-msgs
Description: cob_lookat_action
